Subject: Re: [PATCH v3 5/8] ptp/kvm, arm_arch_timer: Set system_counterval_t.cs_id to constant

From: Marc Zyngier <[email-masked]>
Date: Thu, 01 Feb 2024 13:52:29 +0000

On Thu, 01 Feb 2024 01:04:50 +0000,
Peter Hilber <[email-masked]> wrote:
> 
> Identify the clocksources used by ptp_kvm by setting clocksource ID enum
> constants. This avoids dereferencing struct clocksource. Once the
> system_counterval_t.cs member will be removed, this will also avoid the
> need to obtain clocksource pointers from kvm_arch_ptp_get_crosststamp().
> 
> The clocksource IDs are associated to timestamps requested from the KVM
> hypervisor, so the proper clocksource ID is known at the ptp_kvm request
> site.
> 
> While at it, also rectify the ptp_kvm_get_time_fn() ret type.

Not sure what is wrong with that return type, but this patch doesn't
seem to affect it.

	M.

-- 
Without deviation from the norm, progress is not possible.